Package org.eclipse.wst.xsl.ui.internal.templates

## org.eclipse.wst.xsl.ui.internal.templates
Class XSLTemplatesPage

    public class XSLTemplatesPage
    extends AbstractTemplatesPage

The XSL Templates Page is used by the TemplatesViewer to display available XSL Templates for use within a XSL Structured Text Editor. It is provided as an example on how other SSE editors can contribute their templates to the page.

## Constructor Summary

`XSLTemplatesPage(org.eclipse.wst.xsl.ui.internal.editor.XSLEditor xslTextEditor)`

## Method Summary

`protected java.lang.String[]` | `getContextTypeIds(IDocument document , int offset)`
`protected ContextTypeRegistry` | `getContextTypeRegistry()`
`protected java.lang.String` | `getPreferencePageId()`
`protected IPreferenceStore` | `getTemplatePreferenceStore()`
`public TemplateStore` | `getTemplateStore()`
`protected void` | `insertTemplate(Template template , IDocument document)`
`protected boolean` | `isValidTemplate(IDocument document , Template template , int offset , int length)`

## Constructor Detail

## XSLTemplatesPage

`public XSLTemplatesPage(org.eclipse.wst.xsl.ui.internal.editor.XSLEditor xslTextEditor)`

## Methods Detail

## getContextTypeIds

`protected java.lang.String[] getContextTypeIds(IDocument document , int offset)`

### Parameters

`document`

`offset`

### Returns

`java.lang.String[]`

## getContextTypeRegistry

`protected ContextTypeRegistry getContextTypeRegistry()`

### Returns

`ContextTypeRegistry`

## getPreferencePageId

`protected java.lang.String getPreferencePageId()`

### Returns

`java.lang.String`

## getTemplatePreferenceStore

`protected IPreferenceStore getTemplatePreferenceStore()`

### Returns

`IPreferenceStore`

## getTemplateStore

`public TemplateStore getTemplateStore()`

### Returns

`TemplateStore`

## insertTemplate

`protected void insertTemplate(Template template , IDocument document)`

### Parameters

`template`

`document`

## isValidTemplate

`protected boolean isValidTemplate(IDocument document , Template template , int offset , int length)`

### Parameters

`document`

`template`

`offset`

`length`

### Returns

`boolean`